Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b10-1x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 10           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_Birthday_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Birthday-b8-2x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_Birthday_1920x1080_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 8           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_Birthday_3840x2160_60_10bit.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 3840        # Input  frame width
+SourceHeight1                 : 2160        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b10-1x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_BirthdayFlashPart1_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 10           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_BirthdayFlashPart1_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart1-b8-2x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_BirthdayFlashPart1_1920x1080_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 8           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_BirthdayFlashPart1_3840x2160_60_10bit.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 3840        # Input  frame width
+SourceHeight1                 : 2160        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b10-1x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_BirthdayFlashPart2_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 10           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_BirthdayFlashPart2_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-BirthdayFlashPart2-b8-2x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_BirthdayFlashPart2_1920x1080_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 8           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_BirthdayFlashPart2_3840x2160_60_10bit.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 3840        # Input  frame width
+SourceHeight1                 : 2160        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b10-1x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 250         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_Parakeets_1920x1080_50_10bit_zerophase_0.9pi.yuv
+FrameRate0                    : 50          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 10           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_Parakeets_1920x1080_50_10bit_zerophase_0.9pi.yuv
+FrameRate1                    : 50          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-Parakeets-b8-2x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 250         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_Parakeets_1920x1080_50_zerophase_0.9pi.yuv
+FrameRate0                    : 50          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 8           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_Parakeets_3840x2160_50_10bit.yuv
+FrameRate1                    : 50          # Frame Rate per second
+SourceWidth1                  : 3840        # Input  frame width
+SourceHeight1                 : 2160        # Input  frame height
+IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b10-1x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_TableCar_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 10           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_TableCar_1920x1080_60_10bit_zerophase_0.9pi.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
Index: /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg
===================================================================
--- /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg	(revision 679)
+++ /branches/SHM-6-dev/cfg/per-sequence-svc/CGS-TableCar-b8-2x.cfg	(revision 679)
@@ -0,0 +1,27 @@
+CGS                           : 1
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 300         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    :  /prj/MMRnD/svc_sequence/CGS3/BT709_TableCar_1920x1080_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920         # Input  frame width
+SourceHeight0                 : 1080         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+InputBitDepth0                : 8           # Input bitdepth
+
+InputFile1                    :  /prj/MMRnD/svc_sequence/CGS3/BT2020_TableCar_3840x2160_60_10bit.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 3840        # Input  frame width
+SourceHeight1                 : 2160        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+InputBitDepth1                : 10           # Input bitdepth
+
+PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS